---

- ansible.builtin.set_fact:
    certificate_object: "{{ crt_output.certificates[0] }}"

- name: Get a certificate_bundle
  oracle.oci.oci_certificates_certificate_bundle_facts:
    certificate_id: "{{ certificate_object.id }}"
    region: "{{ cert_issuer_region }}"
  register: crt_versions_output

- name: Gather secret
  oracle.oci.oci_secrets_secret_bundle_facts:
    vault_id: "{{ cert_issuer_vault_id }}"
    secret_name: "{{ cert_issuer_oci_private_key }}"
    stage: CURRENT
    region: "{{ cert_issuer_region }}"
  register: secret_output

- ansible.builtin.set_fact:
    certificate_issuer_ca_certificate: "{{ crt_versions_output.certificate_bundle.cert_chain_pem }}"
    certificate_issuer_certificate: "{{ crt_versions_output.certificate_bundle.certificate_pem }}"
    certificate_issuer_certificate_private_key: "{{ secret_output.secret_bundle.secret_bundle_content.content | b64decode }}"
